LIVE-BUILD(1)

NAME
live-build - Live System Build Components

SYNOPSIS
lb bootstrap-hooks [--verbose]

lb bootstrap-hooks [--help]
lb bootstrap-hooks [--version]

DESCRIPTION
live-build contains the components to build a live system from a configuration directory.

The lb bootstrap-hooks command executes hook files after the bootstrap stage.

SPECIFICATION
lb bootstrap-hooks executes any hook files found in the config/hooks directory within the configuration directory.

Hook files do not require to have a specific owner nor specific permissions. They are marked executable by lb bootstrap-hooks automatically when they are executed.

Hook files must either have the suffix *.hook or *.hook.bootstrap.

Hook files with the suffix *.hook are executed first, hook files with the suffix *.hook.bootstrap are executed second.

Hook files are executed in alphanumberical order by lb bootstrap-hooks. If one hook file depends on being run after another, best practise is to use number prefixes (nnnn, starting with 0001) to ensure the order of execution.

Hook files are copied into the chroot/live-build directory by lb bootstrap-hooks. They are executed from within the chroot directory (chrooted) and can read the configuration directory in /live-build/config within the chroot directory.

OPTIONS

--verbose
    sets verbose option (default: False).

-h, --help
    show help message and exit.

--version
    show program's version number and exit.

FILES

config/hooks/*.hook:
    generic hook files.

config/hooks/*.hook.bootstrap:
    hook files specific for the bootstrap stage.

chroot:
    directory in which the hook files are executed.

chroot/live-build/config:
    bind mounted configuration directory within the chroot directory to be read by hook files.

chroot/live-build:
    directory in which hook files are copied.

SEE ALSO

lb-bootstrap-hooks(1)

lb-binary-hooks(1)

lb-source-hooks(1)

HOMEPAGE
More information about live-build and the Live Systems project can be found on the homepage at <http://live-systems.org/> and in the manual at <http://live-systems.org/manual/>.

BUGS
Bugs can be reported by submitting a bugreport for the live-build package in the Bug Tracking System at <http://bugs.debian.org/> or by writing a mail to the Live Systems mailing list at <debian-live@lists.debian.org>.

AUTHOR
live-build was written by Daniel Baumann <mail@daniel-baumann.ch>.